### Struct

# Fwupd JsonNode

#### Description [src]

    struct FwupdJsonNode {
      /* No available fields */
    }

A JSON node.

Nodes are lazy-parsed, and can either be an “object”, an “array”, a “string” or “raw” — the latter which can be parsed as a float, integer, or boolean.

See also: `FwupdJsonArray` `FwupdJsonObject`.

#### Functions

###### fwupd_json_node_kind_to_string

Converts an enumerated value to a string.

since: 2.1.1

###### fwupd_json_node_new_array

Creates a new JSON object json_node.

since: 2.1.1

###### fwupd_json_node_new_object

Creates a new JSON object json_node.

since: 2.1.1

###### fwupd_json_node_new_raw

Creates a new JSON string json_node.

since: 2.1.1

###### fwupd_json_node_new_string

Creates a new JSON string json_node.

since: 2.1.1

#### Instance methods

###### fwupd_json_node_get_array

Gets the JSON array from a JSON node.

since: 2.1.1

###### fwupd_json_node_get_kind

Gets the kind of the JSON json_node.

since: 2.1.1

###### fwupd_json_node_get_object

Gets the JSON object from a JSON node.

since: 2.1.1

###### fwupd_json_node_get_raw

Gets the raw value string from a JSON node.

since: 2.1.1

###### fwupd_json_node_get_string

Gets the JSON string from a JSON node.

since: 2.1.1

###### fwupd_json_node_ref

Increases the reference count of a JSON json_node.

since: 2.1.1

###### fwupd_json_node_to_string

Converts the JSON json_node to a string representation.

since: 2.1.1

###### fwupd_json_node_unref

Destroys a JSON json_node.

since: 2.1.1